package it.unibo.tw0708.web.beans;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import javax.faces.model.SelectItem;

public class ValueHolder {

	private Integer theInteger;
	private float theFloat;
	private String theString;
	
	private boolean theBoolean = true;
	private Integer theListSelection;
	private String theMapSelection;
	private String theRadioSelection;

	private String[] theArray;
	private List<Integer> theList;
	private Map<Integer,String> theMap;

	// ------------------------------------------

	public float getTheFloat() {
		return theFloat;
	}
	public void setTheFloat(float theFloat) {
		this.theFloat = theFloat;
	}
	public Integer getTheInteger() {
		return theInteger;
	}
	public void setTheInteger(Integer theInteger) {
		this.theInteger = theInteger;
	}

	public String getTheString() {
		return theString;
	}
	public void setTheString(String theString) {
		this.theString = theString;
	}
	public boolean getTheBoolean() {
		return theBoolean;
	}
	public void setTheBoolean(boolean theBoolean) {
		this.theBoolean = theBoolean;
	}
	public Integer getTheListSelection() {
		return theListSelection;
	}
	public void setTheListSelection(Integer theListSelection) {
		this.theListSelection = theListSelection;
	}
	public String getTheMapSelection() {
		return theMapSelection;
	}
	public void setTheMapSelection(String theMapSelection) {
		this.theMapSelection = theMapSelection;
	}
	public String[] getTheArray() {
		return theArray;
	}
	public void setTheArray(String[] theArray) {
		this.theArray = theArray;
	}
	public List<Integer> getTheList() {
		return theList;
	}
	public void setTheList(List<Integer> theList) {
		this.theList = theList;
	}
	public Map<Integer,String> getTheMap() {
		return theMap;
	}
	public void setTheMap(Map<Integer, String> theMap) {
		this.theMap = theMap;
	}
	public String getTheRadioSelection() {
		return theRadioSelection;
	}
	public void setTheRadioSelection(String theRadioSelection) {
		this.theRadioSelection = theRadioSelection;
	}

	// ------------------------------------------

	public SelectItem[] getListItems() {
		if ( this.theList == null ) 
			return new SelectItem[]{};
		SelectItem[] selectItems = new SelectItem[this.theList.size()];
		for ( int i = 0 ; i < selectItems.length ; i++ ) {
			selectItems[i] = new SelectItem(theList.get(i));
		}
		return selectItems;
	}

	public SelectItem[] getMapItems() {
		if ( this.theMap == null ) 
			return new SelectItem[]{};
		SelectItem[] selectItems = new SelectItem[this.theMap.size()];
		int i = 0;
		for ( Integer key : this.theMap.keySet() ) {
			selectItems[i] = new SelectItem( key, this.theMap.get(key) );
			i++;
		}
		return selectItems;
	}
	
	public List<String> getArrayAsList() {
		if ( this.theArray == null )
			return new ArrayList<String>();
		List<String> arraylist = new ArrayList<String>();
		for ( int i = 0 ; i < theArray.length ; i++ ) {
			arraylist.add(this.theArray[i]);
		}
		return arraylist;
	}
}
